DefaultGrailsTagLibClass (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsTagLibClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsTagLibClass

All Implemented Interfaces:
  GrailsTagLibClass

    public class DefaultGrailsTagLibClass
    extends AbstractInjectableGrailsClass

Default implementation of a tag lib class.

Authors:
  Graeme Rocher

Field Summary
`protected static java.lang.String` | `TAG_LIB`

Fields inherited from class AbstractGrailsClass
grailsApplication

Constructor Summary
`DefaultGrailsTagLibClass(java.lang.Class clazz)` Default contructor.

Method Summary
`java.lang.Object` | `getDefaultEncodeAs()`
`java.lang.Object` | `getEncodeAsForTag(java.lang.String tagName)`
`java.lang.String` | `getNamespace()`
`java.util.Set` | `getTagNames()`
`java.util.Set` | `getTagNamesThatReturnObject()`
`boolean` | `hasTag(java.lang.String tagName)`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TAG_LIB

    protected static final java.lang.String TAG_LIB

Constructor Detail

### DefaultGrailsTagLibClass

    @java.lang.SuppressWarnings("rawtypes")
    public DefaultGrailsTagLibClass(java.lang.Class clazz)

  Default contructor.
  Parameters:
    `clazz` - the tag library class

Method Detail

### getDefaultEncodeAs

    public java.lang.Object getDefaultEncodeAs()

### getEncodeAsForTag

    public java.lang.Object getEncodeAsForTag(java.lang.String tagName)

### getNamespace

    public java.lang.String getNamespace()

### getTagNames

    public java.util.Set getTagNames()

### getTagNamesThatReturnObject

    public java.util.Set getTagNamesThatReturnObject()

### hasTag

    public boolean hasTag(java.lang.String tagName)

Groovy Documentation